﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TextBoxIDataErrorInfo.Rules
{
    public abstract class AttributeBase : Attribute
    {
        /// <summary>
        ///     验证失败时给出的消息
        /// </summary>
        public string ErrorMessage { get; protected set; }

        /// <summary>
        ///     是否满足验证规则，如果满足返回true
        /// </summary>
        /// <param name="obj"></param>
        /// <returns></returns>
        public virtual bool IsValid(object obj)
        {
            return true;
        }
    }
}
