﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using TextBoxIDataErrorInfo.Rules;

namespace TextBoxIDataErrorInfo
{
    class Student : ViewModeBase
    {
        private string name;
        private double age;
        private string telephone;

        [StringRule(2, 5)]
        public string Name
        {
            get { return name; }
            set
            {
                name = value;
                InvokePropertyChanged("Name");
            }
        }
        [NumberRule(0,150)]
        public double Age
        {
            get { return age; }
            set
            {
                age = value;
                InvokePropertyChanged("Age");
            }
        }

        [StringRule(11, 11,"手机号必须是11位数")]
        public string Telephone
        {
            get { return telephone; }
            set
            {
                if (telephone != value)
                {
                    telephone = value;
                    InvokePropertyChanged("Telephone");
                }
            }
        }


    }
}
